View Issue Details

IDProjectCategoryView StatusLast Update
0000662CaseTalk ModelerUser Interfacepublic2015-05-05 11:54
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version8.1.3 
Target Version9.0Fixed in Version8.2.1 
Summary0000662: CaseTalk performance degrading
DescriptionWhen CaseTalk opens a repository containing more than 1000 OTFT's, the gui slows down. This seems to be related to synchronizing the sql repository. The new architecture using multiple attached databases require physical db files which are slower.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2015-05-04 11:16

administrator   ~0000380

Perhaps the sqlite dml should be run in a seperate thread to not interfere with gui operations. Former implementation only build a cache which was only executed when needed (aka sql window is visible).
BCP Software

BCP Software

2015-05-05 11:52

administrator   ~0000381

The slowdown for approximately 1000 OTFT's can reach a freeze period of almost a minute when loading or editing the repository.
BCP Software

BCP Software

2015-05-05 11:54

administrator   ~0000382

Speed degradation has been brought down from 50 seconds to a subsecond response.

Issue History

Date Modified Username Field Change
2015-04-30 18:43 BCP Software New Issue
2015-05-04 11:16 BCP Software Note Added: 0000380
2015-05-05 11:51 BCP Software View Status private => public
2015-05-05 11:51 BCP Software Description Updated View Revisions
2015-05-05 11:52 BCP Software Note Added: 0000381
2015-05-05 11:54 BCP Software Note Added: 0000382
2015-05-05 11:54 BCP Software Status new => resolved
2015-05-05 11:54 BCP Software Fixed in Version => 8.2.1
2015-05-05 11:54 BCP Software Resolution open => fixed
2015-05-05 11:54 BCP Software Assigned To => BCP Software
2016-01-20 13:00 BCP Software Category Interface => User Interface